%define name	solfege
%define version 2.0.4
%define release 1mdk

Name: 	 %{name}
Summary: An ear-training program.
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://solfege.sourceforge.net
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pygnome-devel swig-devel python-devel
BuildRequires:	pkgconfig gettext texinfo pygtk-devel
BuildRequires:  gnome-python
Buildrequires:  docbook-style-xsl
Requires:	pygnome pygtk swig

%description
GNU Solfege is an ear-training program. These are the exercises written so far:
    * Recognise melodic and harmonic intervals
    * Compare interval sizes
    * Sing the intervals the computer asks for
    * Identify chords
    * Sing chords
    * Scales
    * Dictation
    * Remembering rhythmic patterns

%prep
%setup -q

%build
%configure --enable-docbook-stylesheet=%_datadir/sgml/docbook/xsl-stylesheets-1.64.0/html/chunk.xsl
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Solfege" longtitle="Ear Training" section="Multimedia/Sound"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name
%find_lang %name-intervallnames
cat %name-intervallnames.lang >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO COPYING
%{_bindir}/%name
%{_bindir}/%name%version
%config(noreplace) %{_sysconfdir}/sol*
%{_mandir}/man1/%name.*
%{_menudir}/%name
%{_libdir}/%name
%{_datadir}/gnome/apps/Applications/solfege.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/%name
%{_datadir}/%name/%version
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sun Feb 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.4-1mdk
- 2.0.4
- Own dir

* Thu Feb 6 2003 Austin Acton <aacton@yorku.ca> 1.4.10-1mdk
- initial package
